Subject: Tiny ant vs big Mammoths, was RE: [Simple] Using MSRP for real time text conversation

From: "A vWijk" <[email-masked]>
Date: Wed, 30 Jun 2004 12:33:09 +0200

My comment marked with ***

> >> However, I don't want to use T.140. Emulating reliability 
> by requiring
> >> multiple transmissions of every character without regard for real
> >> network conditions is a horrible violation of the 
> principles of RFC2914.
> 
> It is not T.140 you are suspicious to, it is to use the RTP 
> packetisation text/t140 as
> specified in rfc2793 ( and -bis ) that you have doubts about.
> 
> The repetitions are sent together with new characters, and 
> therefore do not cause any
> remarkable increase in load.
> 
> The unusual characteristics of this rtp packetization makes 
> it not as horrible as you seem
> to think.

If it is not as horrible, then can you remind me why we are discussing using MSRP for real time text? I am confused now since Dean gave the reason, but you replied saying that reasoning is not entirely true.

Thanks,
Hisham

*** The discussion about MSRP is only to play with the idea of using MSRP for interactive text.
The idea to lift with the instant messaging revolution on terminals is apealing.
But we stay with t140/rtp as described in RFC 2793( bis-07).
But introducing new interactive text formats raises the danger of incompatibilities. So that is why I am negative about just using MSRP for interactive text.

So... t140/RTP is a great solution and the redundancy usage of 2 generations are indeed sent by the next packet that would be sent anyway. So there is hardly any load increase at all.
And I had yesterday a call with interactive text (t140/RTP) along with audio and video, the connection was not so good, 20% packets drop with peaks to about 40% lost packets. Sound was bad (according the hearing person, video was also bad with blocks in it..but the interactive text worked just flawlessly. When disabling the interactive text, the audio and video staryed just as crappy as they were.
We talk about 2-3 kbit/sec out of 384 kbit total bandwidth used!!! THAT is now we are talking about (yes with redundancy on!)..a tiny little ant along the Mammoths.

Just to bring it into the right perspective. :-)

So, there is nothing wrong with RFC2793 interactive text. Except perhaps that a device that does not support RTP cannot use T140/RTP.

greetz

Arnoud

Drs. Arnoud A. T. van Wijk
Viataal
Research & Development
Afdeling RDS
Theerestraat 42
5271 GD Sint-Michielsgestel
The Netherlands.
Mobile: +31651921948
International text telephone: +31735588408

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple